curl --request POST \
--url https://api.cnap.tech/v1/clusters/{id}/worker_bootstrap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expiry_seconds": 3600
}
'{
"token": "<string>",
"expires_at": 123,
"token_placeholder": "<string>",
"cmd_template": "<string>",
"cmd": "<string>",
"cloud_init_template": "<string>",
"cloud_init": "<string>"
}Returns a join token, bootstrap command template, and cloud-init config for adding a worker node to a KaaS cluster. The token is short-lived.
curl --request POST \
--url https://api.cnap.tech/v1/clusters/{id}/worker_bootstrap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expiry_seconds": 3600
}
'{
"token": "<string>",
"expires_at": 123,
"token_placeholder": "<string>",
"cmd_template": "<string>",
"cmd": "<string>",
"cloud_init_template": "<string>",
"cloud_init": "<string>"
}Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Cluster ID
Token expiry in seconds (default 3600, max 86400)
60 <= x <= 86400Worker bootstrap info
Short-lived join token
Token expiry (unix seconds)
Placeholder string in templates
Bootstrap command with token placeholder
Bootstrap command with real token (ready to run)
Cloud-init YAML with token placeholder
Cloud-init YAML with real token (ready to use)